function  battle_bai001(npcID)--花妖本体
	local HP1=flag.GetBattleValue(16001)        --右触手旗标 
	local HP2=flag.GetBattleValue(16002)        --左触手旗标 

	local n=flag.GetBattleValue(16005)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	local sg=flag.GetBattleValue(16222)	--语言提示打法
	
	--当右触手死亡后，HP降为现有的一半
	if battle.CheckNpcPlace(2)==1 and HP1==0 then
		flag.SetBattleValue(16001,1)
		--改变血量处理
		local ID=battle.GetActingNpcID()
		local HP = battle.GetSelfHP(1)          --取血量 
		npc.SetHP(ID,HP/2+1)
	
	
	--当左触手死亡后，HP降为现有的一半
	elseif battle.CheckNpcPlace(3)==1 and HP2==0 then
		flag.SetBattleValue(16002,1)
		--改变血量处理
		local ID=battle.GetActingNpcID()
		local HP = battle.GetSelfHP(1)          --取血量 
		npc.SetHP(ID,HP/2+1)
	end
	
	if battle.CheckNpcPlace(2)==0 and battle.CheckNpcPlace(3)==0 then
		if npc.GetHP(90001,1)<60 and flag.GetBattleValue(16007)==0 then
			flag.SetBattleValue(16007,1)
			battle.MagicToNpc(0,205,0)
		elseif npc.GetHP(90001,1)<30 and flag.GetBattleValue(16008)==0 then
			flag.SetBattleValue(16008,1)
			battle.MagicToNpc(0,205,0)
		elseif npc.GetHP(90002,1)<30 and flag.GetBattleValue(16003)==0 then
			flag.SetBattleValue(16003,1)
			battle.MagicToNpc(0,205,0)
		elseif npc.GetHP(90002,1)<30 and flag.GetBattleValue(16004)==0 then
			flag.SetBattleValue(16004,1)
			battle.MagicToNpc(0,205,0)
		else
			if n%2==0 then
				n=n+1
				flag.SetBattleValue(16005,n)
				battle.MagicToPlayer(0,206,1)
			elseif n%2==1 then
				n=n+1
				flag.SetBattleValue(16005,n)
				battle.MagicToNpc(0,207,0)
				global.WaitForBattleSEEnd(4358)
				if sg==0 then   --战斗对话提示
					flag.SetBattleValue(16222,1)
					local zid=battle.GetRndPlayer()
					if zid==1 then
						uid=522
					elseif zid==2 then
						uid=183
					elseif zid==4 then
						uid=132
					elseif zid==16 then
						uid=110
					end
					ui.Dialog(86950,uid,0,0,zid,0)--它的两个触手对我们威胁很大，可以尝试尽力先除掉那两个触手。
				end
			end
		end
	elseif battle.CheckNpcPlace(2)==1 and battle.CheckNpcPlace(3)==0 then
		if npc.GetHP(90001,1)<60 and flag.GetBattleValue(16007)==0 then
			flag.SetBattleValue(16007,1)
			
			battle.MagicToNpc(0,205,0)
			if battle.CheckNpcPlace(2)==0 then
				npc.SetAnim(90002,300)
			end
			if battle.CheckNpcPlace(3)==0 then
				npc.SetAnim(90001,300)
			end
		elseif npc.GetHP(90001,1)<30 and flag.GetBattleValue(16008)==0 then
			flag.SetBattleValue(16008,1)
			
			battle.MagicToNpc(0,205,0)
			if battle.CheckNpcPlace(2)==0 then
				npc.SetAnim(90002,300)
			end
			if battle.CheckNpcPlace(3)==0 then
				npc.SetAnim(90001,300)
			end
		else
			battle.MagicToNpc(0,212,0)
		end
	elseif battle.CheckNpcPlace(2)==0 and battle.CheckNpcPlace(3)==1 then
		if npc.GetHP(90002,1)<30 and flag.GetBattleValue(16003)==0 then
			flag.SetBattleValue(16003,1)
			
			battle.MagicToNpc(0,205,0)
			if battle.CheckNpcPlace(2)==0 then
				npc.SetAnim(90002,300)
			end
			if battle.CheckNpcPlace(3)==0 then
				npc.SetAnim(90001,300)
			end
		elseif npc.GetHP(90002,1)<30 and flag.GetBattleValue(16004)==0 then
			flag.SetBattleValue(16004,1)
			
			battle.MagicToNpc(0,205,0)
			if battle.CheckNpcPlace(2)==0 then
				npc.SetAnim(90002,300)
			end
			if battle.CheckNpcPlace(3)==0 then
				npc.SetAnim(90001,300)
			end
		else
			battle.MagicToPlayer(0,213,1)
		end
	elseif battle.CheckNpcPlace(2)==1 and battle.CheckNpcPlace(3)==1 then
		battle.Skip()
	end
	
end